summaryrefslogtreecommitdiffstats
path: root/source/x/compiz/compiz.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/compiz/compiz.SlackBuild')
-rwxr-xr-xsource/x/compiz/compiz.SlackBuild12
1 files changed, 9 insertions, 3 deletions
diff --git a/source/x/compiz/compiz.SlackBuild b/source/x/compiz/compiz.SlackBuild
index a10752c9f..de9111f2e 100755
--- a/source/x/compiz/compiz.SlackBuild
+++ b/source/x/compiz/compiz.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2019, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,13 +24,13 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=compiz
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
i?86) ARCH=i586 ;;
- arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ arm*) readelf /usr/bin/file -A | grep -E -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
esac
@@ -67,6 +67,9 @@ else
LIBDIRSUFFIX=""
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=implicit-function-declaration"
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -85,6 +88,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix for libxml2-2.12:
+zcat $CWD/175.patch.gz | patch -p1 --verbose || exit 1
+
if [ ! -r configure ]; then
NOCONFIGURE=1 ./autogen.sh
fi